import { createContext as r } from "../../../../../../preact@10.29.0/node_modules/preact/dist/preact.module.js";
import { useContext as t } from "../../../../../../preact@10.29.0/node_modules/preact/hooks/dist/hooks.module.js";
function s() {
  let e = !1;
  return {
    clearReset: () => {
      e = !1;
    },
    reset: () => {
      e = !0;
    },
    isReset: () => e
  };
}
var o = r(s()), n = () => t(o);
export {
  n as useQueryErrorResetBoundary
};
